Subject: New Reply Received - First of all, it’s been more than one month. Is it so difficult to check if money has been credited to homebox account for two failed transactions of SAR 2998 each. I had a final payment done of SAT 2998 thru tabby against which the delivery of items was
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 19 Apr 2023 08:52:11 +0000

Hi Ali Adil,  The customer has responded to the ticket.  First of all, it’s been more than one month. Is it so difficult to check if money has been credited to homebox account for two failed transactions of SAR 2998 each. I had a final payment done of SAT 2998 thru tabby against which the delivery of items was  Ticket comment <div>As mentioned I need a written statement from Homebox that both of my credit card transactions of SAR 2998/- were failed and unfulfilled. SAMA and SAB bank require it</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5968521